package com.community.huiju.dao;

import com.community.huiju.model.TaBriskUser;
import com.community.huiju.model.TaTemporaryLicenseCount;
import com.community.huiju.model.TaUserLicenseCount;
import com.community.huiju.model.TpBillInvoiceCount;
import com.community.huiju.model.TpTicket;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface IndexCountMapper {
	/**
	 * 获取工单统计
	 * @param communityId
	 * @return
	 */
	List<TpTicket> getTicketList(@Param("communityId") Integer communityId);
	
	Integer selectCommunityOpenDoorCount();
	
	Integer selectUnitsOpenDoorCount(Integer eventType);
	
	Integer getPublicCameraCount(@Param("communityId") Integer communityId);
	
	Integer getRemoteMonitoringCount(@Param("communityId") Integer communityId);
	
	Integer getRemoteUnitCount(@Param("communityId") Integer communityId);
	
	List<TpBillInvoiceCount> getBillInvoiceCountList(@Param("communityId") Integer communityId);
	
	List<TaUserLicenseCount> getUserLicenseCountList(@Param("communityId") Integer communityId);
	
	List<TaTemporaryLicenseCount> getTemporaryLicenseCountList(@Param("communityId") Integer communityId);
	
	Integer getRegisterUserCount(@Param("communityId") Integer communityId,@Param("roleId") Integer roleId);
	
	List<TaBriskUser> getBriskUserList(@Param("communityId") Integer communityId);
	
	Integer getAnnouncementCount(@Param("communityId") Integer communityId);
	
	Integer getActivityCount(@Param("communityId") Integer communityId);
	
	Integer getTopicCount(@Param("communityId") Integer communityId);
}
